admin.css 4.5 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239
  1. #logo {
  2. height: 30px;
  3. vertical-align: -6px;
  4. padding-right: 5px;
  5. }
  6. #site-name:hover a {
  7. opacity: 0.9;
  8. }
  9. #site-name .loader {
  10. height: 25px;
  11. width: 25px;
  12. display: inline-block;
  13. border-width: 3px;
  14. vertical-align: -3px;
  15. margin-right: 5px;
  16. margin-top: 2px;
  17. }
  18. #branding h1, #branding h1 a:link, #branding h1 a:visited {
  19. color: mintcream;
  20. }
  21. #header {
  22. background: #aa1e55;
  23. padding: 6px 14px;
  24. }
  25. #content {
  26. padding: 8px 8px;
  27. }
  28. #user-tools {
  29. font-size: 13px;
  30. }
  31. div.breadcrumbs {
  32. background: #772948;
  33. color: #f5dd5d;
  34. padding: 6px 15px;
  35. }
  36. body.model-snapshot.change-list div.breadcrumbs,
  37. body.model-snapshot.change-list #content .object-tools {
  38. display: none;
  39. }
  40. .module h2, .module caption, .inline-group h2 {
  41. background: #772948;
  42. }
  43. #content .object-tools {
  44. margin-top: -35px;
  45. margin-right: -10px;
  46. float: right;
  47. }
  48. #content .object-tools a:link, #content .object-tools a:visited {
  49. border-radius: 0px;
  50. background-color: #f5dd5d;
  51. color: #333;
  52. font-size: 12px;
  53. font-weight: 800;
  54. }
  55. #content .object-tools a.addlink {
  56. background-blend-mode: difference;
  57. }
  58. #content #changelist #toolbar {
  59. padding: 0px;
  60. background: none;
  61. margin-bottom: 10px;
  62. border-top: 0px;
  63. border-bottom: 0px;
  64. }
  65. #content #changelist #toolbar form input[type="submit"] {
  66. border-color: #aa1e55;
  67. }
  68. #content #changelist-filter li.selected a {
  69. color: #aa1e55;
  70. }
  71. /*#content #changelist .actions {
  72. position: fixed;
  73. bottom: 0px;
  74. z-index: 800;
  75. }*/
  76. #content #changelist .actions {
  77. float: right;
  78. margin-top: -34px;
  79. padding: 0px;
  80. background: none;
  81. margin-right: 0px;
  82. width: auto;
  83. }
  84. #content #changelist .actions .button {
  85. border-radius: 2px;
  86. background-color: #f5dd5d;
  87. color: #333;
  88. font-size: 12px;
  89. font-weight: 800;
  90. margin-right: 4px;
  91. box-shadow: 4px 4px 4px rgba(0,0,0,0.02);
  92. border: 1px solid rgba(0,0,0,0.08);
  93. }
  94. #content #changelist .actions .button:hover {
  95. border: 1px solid rgba(0,0,0,0.2);
  96. opacity: 0.9;
  97. }
  98. #content #changelist .actions .button[name=verify_snapshots], #content #changelist .actions .button[name=update_titles] {
  99. background-color: #dedede;
  100. color: #333;
  101. }
  102. #content #changelist .actions .button[name=update_snapshots] {
  103. background-color:lightseagreen;
  104. color: #333;
  105. }
  106. #content #changelist .actions .button[name=overwrite_snapshots] {
  107. background-color: #ffaa31;
  108. color: #333;
  109. }
  110. #content #changelist .actions .button[name=delete_snapshots] {
  111. background-color: #f91f74;
  112. color: rgb(255 248 252 / 64%);
  113. }
  114. #content #changelist-filter h2 {
  115. border-radius: 4px 4px 0px 0px;
  116. }
  117. @media (min-width: 767px) {
  118. #content #changelist-filter {
  119. top: 35px;
  120. width: 110px;
  121. margin-bottom: 35px;
  122. }
  123. .change-list .filtered .results,
  124. .change-list .filtered .paginator,
  125. .filtered #toolbar,
  126. .filtered div.xfull {
  127. margin-right: 115px;
  128. }
  129. }
  130. @media (max-width: 1127px) {
  131. #content #changelist .actions {
  132. position: fixed;
  133. bottom: 6px;
  134. left: 10px;
  135. float: left;
  136. z-index: 1000;
  137. }
  138. }
  139. #content a img.favicon {
  140. height: 20px;
  141. width: 20px;
  142. vertical-align: -5px;
  143. padding-right: 6px;
  144. }
  145. #content td, #content th {
  146. vertical-align: middle;
  147. padding: 4px;
  148. }
  149. #content #changelist table input {
  150. vertical-align: -2px;
  151. }
  152. #content thead th .text a {
  153. padding: 8px 4px;
  154. }
  155. #content th.field-added, #content td.field-updated {
  156. word-break: break-word;
  157. min-width: 128px;
  158. white-space: normal;
  159. }
  160. #content th.field-title_str {
  161. min-width: 300px;
  162. }
  163. #content td.field-files {
  164. white-space: nowrap;
  165. }
  166. #content td.field-files .exists-True {
  167. opacity: 1;
  168. }
  169. #content td.field-files .exists-False {
  170. opacity: 0.1;
  171. filter: grayscale(100%);
  172. }
  173. #content td.field-size {
  174. white-space: nowrap;
  175. }
  176. #content td.field-url_str {
  177. word-break: break-all;
  178. min-width: 200px;
  179. }
  180. #content tr b.status-pending {
  181. font-weight: 200;
  182. opacity: 0.6;
  183. }
  184. .loader {
  185. border: 16px solid #f3f3f3; /* Light grey */
  186. border-top: 16px solid #3498db; /* Blue */
  187. border-radius: 50%;
  188. width: 30px;
  189. height: 30px;
  190. box-sizing: border-box;
  191. animation: spin 2s linear infinite;
  192. }
  193. @keyframes spin {
  194. 0% { transform: rotate(0deg); }
  195. 100% { transform: rotate(360deg); }
  196. }
  197. .tag {
  198. float: right;
  199. border-radius: 5px;
  200. background-color: #bfdfff;
  201. padding: 2px 5px;
  202. margin-left: 4px;
  203. margin-top: 1px;
  204. }
  205. .exists-False {
  206. opacity: 0.1;
  207. filter: grayscale(100%);
  208. }